/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import com.rjconsultores.ventaboletos.dao.CategoriaMercadoDAO;
import com.rjconsultores.ventaboletos.entidad.CategoriaCtrl;
import com.rjconsultores.ventaboletos.entidad.CategoriaMercado;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

/**
 *
 * @author Administrador
 */
@Repository("categoriaMercadoDAO")
public class CategoriaMercadoHibernateDAO
        extends GenericHibernateDAO<CategoriaMercado, Integer>
        implements CategoriaMercadoDAO {

    @Autowired
    public CategoriaMercadoHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    public CategoriaMercado busquedaPoCategoriaCtrl(CategoriaCtrl categoriaCtrl) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq("categoriaCtrl", categoriaCtrl));

        return (CategoriaMercado) c.uniqueResult();
    }

    @Override
    public List<CategoriaMercado> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

        return c.list();
    }
}
